Get Sale Entity
Gets a SaleEntity object.
Calls the Sale agent service GetSaleEntity. NsApiSlow threshold: 2000 ms.
Authorizations
SuperOffice username:password are passed in Base64-encoded.
You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.
SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/
passing in the application id and redirect URL.
SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)
https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f
You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.
- Authorization URL
- https://online.superoffice.com/login/common/oauth/authorize
Headers
Convert string references and multi-language values into a specified language (iso2) code.
Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
Specify the timezone code that you would like date/time responses converted to.
The application token that identifies the partner app. Used when calling Online WebAPI from a server.
Path Parameters
The id of the SaleEntity to return.
Query Parameters
Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields.
Load foreign keys on this entity into the ExtraFields property as 'app.device.keyname'='123' pairs.
Response
SaleEntity found.
The Sale Entity contains the sale amount, currency, and sale members. Sales are linked to contacts, persons, and/or projects. SaleEntity entity with API _Links added.
Simple read-only appointment data. Carrier object for Appointment. Services for the Appointment Carrier is available from the Appointment Agent.
Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.
Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.
Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent.
Carrier object for Contact. Services for the Contact Carrier is available from the Contact Agent.
Carrier object for Project. Services for the Project Carrier is available from the Project Agent.
Text describing the sale
Carrier object for Person. Services for the Person Carrier is available from the Person Agent.
Carrier object for Currency. Services for the Currency Carrier is available from the List Agent.
Carrier object for Competitor. Services for the Competitor Carrier is available from the List Agent.
Carrier object for Credited. Services for the Credited Carrier is available from the List Agent.
Sale Stage with probability percent. Carrier object for Rating. Services for the Rating Carrier is available from the List Agent.
Reason for a lost sale Carrier object for Reason. Services for the Reason Carrier is available from the List Agent.
Source of a sale Carrier object for Source. Services for the Source Carrier is available from the List Agent.
The state of the Sale: Open / Sold / Lost / Stalled
Unknown, Open, Sold, Lost, Stalled, SaintAll (expected / lost / won) sales date
Total sale amount
Primary key
Earning on sale
Earning as percent of total
Sale heading (short description?)
Alphanumeric user field
Actual probability, may differ from the one in the list
Registered date in UTC.
Last updated in UTC.
The sale's completed state as an ActivityStatus (Completed=3), not the SaleDone enum stored in sale.done. Only Completed marks the sale as done (sale.done=2); any other value, including Started, is stored as not done (sale.done=1).
Unknown, NotStarted, Started, Completed Number of active links to sale, document, appointment.
List of all elements linked to the sale.
Next due date, this is a denormalization of 'closest future activity date, or most recent if no future activities'. Maintained by the system, but very convenient for searching.
The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases
Carrier object for SaleType. Services for the SaleType Carrier is available from the List Agent.
Reason for a succesfully sold sale Carrier object for ReasonSold. Services for the ReasonSold Carrier is available from the List Agent.
Carrier object for ReasonStalled. Services for the ReasonStalled Carrier is available from the List Agent.
Date the sale is to be reopened; valid only for status=stalled. Not necessarily the same as the nextDueDate.
The number of active erp links
Deprecated: Use {SuperOffice.CRM.Services.SaleEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234"
Deprecated: Use {SuperOffice.CRM.Services.SaleEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc.
Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.SaleEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection.
Publish event date
Publication valid to (inclusive)
Publication valid from (inclusive)
Publication is published
The set of users or groups the record is visible for
Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.
Field property dictionary mapping field names to field access rights.